/*
**	Apple Macintosh Developer Technical Support
**
**	Functions to help you when you are building and sending Apple events.
**
**	by Andy Bachorski, Apple Developer Technical Support
**
**	File:		PrivateConditionals.h
**	Version:	1.0.1
**
**	Package:	DTS Utils
**	Version:	0.3.5
**
**	Copyright  1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "DSC Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
*/

/*	
 *	This header file contains conditional macro definitions that are used
 *	to setup the environment for the project being built.
 *	Add what ever conditionals are appropriate for your project.
 */



/*
 *	To allow the use of ToolBox calls which have now become obsolete on PowerPC, but
 *	which are still needed for System 6 applications, we need to #define OBSOLETE.  If
 *	Since we won't be using these calls, define this to 0 (false).
 */

#define OBSOLETE	0

/*
 *	Define the following conditionals appropriately so the project is compiled
 *	using only the latest routines.
 */
 
#define SystemSevenOrLater			1
#define OLDROUTINENAMES				0
#define OLDROUTINELOCATIONS			0
#define HANDLE_ALL_REQUIRED_EVENTS	0
#define OBSOLETE					0


/*
 *	For this project we use the following macro to
 *	turn on or off the use of precompiled headers.
 */

#define USE_PRECOMPILED_HEADERS	FALSE

